Skip to content

Reactions

Emoji reactions on comments.

Add Reaction

POST /api/v1/comments/:commentId/reactions
bash
curl -X POST https://pulse.hire.rest/api/v1/comments/comment_001/reactions \
  -H "Authorization: Bearer sk_your_secret_key" \
  -H "Content-Type: application/json" \
  -d '{
    "userId": "user-2",
    "emoji": "👍"
  }'
FieldTypeRequiredDescription
userIdstringYesUser adding the reaction
emojistringYesEmoji character

Response 201:

json
{
  "reaction": {
    "id": "reaction_xyz",
    "targetId": "comment_001",
    "targetType": "comment",
    "userId": "user-2",
    "emoji": "👍",
    "createdAt": "2026-03-10T14:20:00.000Z"
  }
}

Remove Reaction

DELETE /api/v1/reactions/:reactionId
bash
curl -X DELETE https://pulse.hire.rest/api/v1/reactions/reaction_xyz \
  -H "Authorization: Bearer sk_your_secret_key"

Response:

json
{ "deleted": true }

Pulse Collaboration SDK